Mailrelay API Reference

Add a new group

POST https://{account}/api/v1/groups

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Add a new group

Parameters

NameTypeRequiredDescription
name string Yes Name
description string No Description

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
description string Description
subscribers_count integer Number of subscribers
created_at string Created at
updated_at string Updated at